Weather - Get Quarter Day Forecast
Use to get a Quarter-Day Forecast for the next 1, 5, 10, or 15 days.
The Get Quarter-Day Forecast API is an HTTP GET request that returns a
detailed weather forecast by quarter-day for the next 1, 5, 10, or 15 days for
a given location. Response data is presented by quarters of the day - morning,
afternoon, evening, and overnight. Details such as temperature, humidity, wind,
precipitation, and UV index are returned.
GET {endpoint}/weather/forecast/quarterDay/json?api-version=1.1&query={query}
GET {endpoint}/weather/forecast/quarterDay/json?api-version=1.1&query={query}&unit={unit}&duration={duration}&language={language}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
The Azure Maps service hostname. Use |
|
format
|
path | True |
Desired format of the response. Only |
|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
query
|
query | True |
number[] |
The applicable query specified as a comma separated string composed by latitude followed by longitude e.g. "47.641268,-122.125679". Weather information is generally available for locations on land, bodies of water surrounded by land, and areas of the ocean that are within approximately 50 nautical miles of a coastline. |
|
duration
|
query |
integer (int32) |
Specifies for how many days the quester-day forecast responses are returned. Supported values are:
|
|
|
language
|
query |
string |
Language in which search results should be returned. Should be one of supported IETF language tags, case insensitive. When data in specified language is not available for a specific field, default language is used. Please refer to Supported Languages for details. |
|
|
unit
|
query |
Specifies to return the data in either metric units or imperial units. Default value is metric. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-id |
string |
Indicates the account intended for use with the Microsoft Entra ID security model. This unique ID for the Azure Maps account can be obtained from the Azure Maps management plane Account API. For more information on using Microsoft Entra ID security in Azure Maps, see Manage authentication in Azure Maps. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
AadToken
These are the Microsoft Entra OAuth 2.0 Flows. When paired with Azure role-based access control it can be used to control access to Azure Maps REST APIs. Azure role-based access controls are used to designate access to one or more Azure Maps resource account or sub-resources. Any user, group, or service principal can be granted access via a built-in role or a custom role composed of one or more permissions to Azure Maps REST APIs.
To implement scenarios, we recommend viewing authentication concepts. In summary, this security definition provides a solution for modeling application(s) via objects capable of access control on specific APIs and scopes.
Note
- This security definition requires the use of the
x-ms-client-idheader to indicate which Azure Maps resource the application is requesting access to. This can be acquired from the Maps management API. - The
Authorization URLis specific to the Azure public cloud instance. Sovereign clouds have unique Authorization URLs and Microsoft Entra ID configurations. - The Azure role-based access control is configured from the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
- Usage of the Azure Maps Web SDK allows for configuration based setup of an application for multiple use cases.
- For more information on Microsoft identity platform, see Microsoft identity platform overview.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://atlas.microsoft.com/.default |
subscription-key
This is a shared key that is provisioned when you Create an Azure Maps account in the Azure portal or using PowerShell, CLI, Azure SDKs, or REST API.
With this key, any application can access all REST API. In other words, this key can be used as a master key in the account that they are issued in.
For publicly exposed applications, our recommendation is to use the confidential client applications approach to access Azure Maps REST APIs so your key can be securely stored.
Type:
apiKey
In:
header
SAS Token
This is a shared access signature token is created from the List SAS operation on the Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.
With this token, any application is authorized to access with Azure role-based access controls and fine-grain control to the expiration, rate, and region(s) of use for the particular token. In other words, the SAS Token can be used to allow applications to control access in a more secured way than the shared key.
For publicly exposed applications, our recommendation is to configure a specific list of allowed origins on the Map account resource to limit rendering abuse and regularly renew the SAS Token.
Type:
apiKey
In:
header
Examples
Successfully retrieve detailed weather forecast by a given location
Sample request
GET https://atlas.microsoft.com/weather/forecast/quarterDay/json?api-version=1.1&query=47.632346,-122.138874&duration=1
Sample response
{
"forecasts": [
{
"cloudCover": 99,
"date": "2019-11-14T00:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 7.5
},
"effectiveDate": "2019-11-14T07:00:00-08:00",
"hasPrecipitation": true,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iconCode": 12,
"iconPhrase": "Showers",
"phrase": "Mostly cloudy with a shower in spots",
"precipitationIntensity": "Light",
"precipitationProbability": 55,
"precipitationType": "Rain",
"quarter": 0,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0.6
},
"realFeelTemperature": {
"maximum": {
"unit": "C",
"unitType": 17,
"value": 11.2
},
"minimum": {
"unit": "C",
"unitType": 17,
"value": 7.9
}
},
"relativeHumidity": 90,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"temperature": {
"maximum": {
"unit": "C",
"unitType": 17,
"value": 11.1
},
"minimum": {
"unit": "C",
"unitType": 17,
"value": 6.9
}
},
"thunderstormProbability": 20,
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0.6
},
"visibility": {
"unit": "km",
"unitType": 6,
"value": 2
},
"wind": {
"direction": {
"degrees": 206,
"localizedDescription": "SSW"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 3.7
}
},
"windGust": {
"direction": {
"degrees": 192,
"localizedDescription": "SSW"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
}
},
{
"cloudCover": 96,
"date": "2019-11-14T00:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 8.4
},
"effectiveDate": "2019-11-14T13:00:00-08:00",
"hasPrecipitation": true,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iconCode": 12,
"iconPhrase": "Showers",
"phrase": "Mostly cloudy with a shower in spots",
"precipitationIntensity": "Light",
"precipitationProbability": 50,
"precipitationType": "Rain",
"quarter": 1,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0.3
},
"realFeelTemperature": {
"maximum": {
"unit": "C",
"unitType": 17,
"value": 14.7
},
"minimum": {
"unit": "C",
"unitType": 17,
"value": 11.3
}
},
"relativeHumidity": 76,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"temperature": {
"maximum": {
"unit": "C",
"unitType": 17,
"value": 13.7
},
"minimum": {
"unit": "C",
"unitType": 17,
"value": 11.3
}
},
"thunderstormProbability": 20,
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0.3
},
"visibility": {
"unit": "km",
"unitType": 6,
"value": 8
},
"wind": {
"direction": {
"degrees": 296,
"localizedDescription": "WNW"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 3.7
}
},
"windGust": {
"direction": {
"degrees": 206,
"localizedDescription": "SSW"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
}
},
{
"cloudCover": 93,
"date": "2019-11-14T00:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 7
},
"effectiveDate": "2019-11-14T19:00:00-08:00",
"hasPrecipitation": false,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iconCode": 7,
"iconPhrase": "Cloudy",
"phrase": "Cloudy",
"precipitationProbability": 25,
"quarter": 2,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"realFeelTemperature": {
"maximum": {
"unit": "C",
"unitType": 17,
"value": 9.8
},
"minimum": {
"unit": "C",
"unitType": 17,
"value": 8.5
}
},
"relativeHumidity": 81,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"temperature": {
"maximum": {
"unit": "C",
"unitType": 17,
"value": 10.4
},
"minimum": {
"unit": "C",
"unitType": 17,
"value": 9.8
}
},
"thunderstormProbability": 0,
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"visibility": {
"unit": "km",
"unitType": 6,
"value": 10
},
"wind": {
"direction": {
"degrees": 172,
"localizedDescription": "S"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
},
"windGust": {
"direction": {
"degrees": 174,
"localizedDescription": "S"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 13
}
}
},
{
"cloudCover": 99,
"date": "2019-11-14T00:00:00-08:00",
"dewPoint": {
"unit": "C",
"unitType": 17,
"value": 6.9
},
"effectiveDate": "2019-11-15T01:00:00-08:00",
"hasPrecipitation": true,
"ice": {
"unit": "mm",
"unitType": 3,
"value": 0
},
"iconCode": 12,
"iconPhrase": "Showers",
"phrase": "Cloudy with a little rain",
"precipitationIntensity": "Light",
"precipitationProbability": 59,
"precipitationType": "Rain",
"quarter": 3,
"rain": {
"unit": "mm",
"unitType": 3,
"value": 1.4
},
"realFeelTemperature": {
"maximum": {
"unit": "C",
"unitType": 17,
"value": 8.6
},
"minimum": {
"unit": "C",
"unitType": 17,
"value": 6.2
}
},
"relativeHumidity": 84,
"snow": {
"unit": "cm",
"unitType": 4,
"value": 0
},
"temperature": {
"maximum": {
"unit": "C",
"unitType": 17,
"value": 9.9
},
"minimum": {
"unit": "C",
"unitType": 17,
"value": 8.9
}
},
"thunderstormProbability": 0,
"totalLiquid": {
"unit": "mm",
"unitType": 3,
"value": 1.4
},
"visibility": {
"unit": "km",
"unitType": 6,
"value": 9
},
"wind": {
"direction": {
"degrees": 164,
"localizedDescription": "SSE"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 9.3
}
},
"windGust": {
"direction": {
"degrees": 165,
"localizedDescription": "SSE"
},
"speed": {
"unit": "km/h",
"unitType": 7,
"value": 14.8
}
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Day |
Divides the day into four 6-hour quarters. Valid values are 0-3:
|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.). |
|
Icon |
The numeric weather-condition code that identifies which icon to display.
Each value in this enumeration corresponds to an Azure Maps weather icon
(such as Sunny, Cloudy, or Thunderstorms) and pairs with a human-readable
For the complete list of codes, the icons they map to, and example imagery, see Weather services in Azure Maps. |
|
Json |
Desired format of the response. Only |
|
Precipitation |
Specifies the type of precipitation. Valid values are Rain, Snow, Ice, or Mix. This property is included in the response when dBZ is greater than zero. |
|
Quarter |
The forecast for one 6-hour quarter-day period - morning (7am-1pm), afternoon (1pm-7pm), evening (7pm-1am), or overnight (1am-7am) - at the specified location. Includes the quarter's date and identifier, an icon and descriptive phrase, the high/low temperature range and RealFeel, humidity and dew point, wind and gust details, visibility, cloud cover, and precipitation and thunderstorm outlook (probability, type, intensity, and accumulation totals). |
|
Quarter |
The response returned by the Get Quarter-Day Forecast operation, providing
weather forecasts in 6-hour quarter-day blocks (morning, afternoon,
evening, and overnight) for a specified location. The number of
|
|
Unit |
An integer value associated with the type of unit being displayed. For example, 17 for Celsius, 18 for Fahrenheit. Can be used for unit translation. For more information, see Weather services in Azure Maps. |
|
Weather |
Specifies whether to return data in metric or imperial units, with metric as the default. For example:
|
|
Weather |
Values for weather-related metrics such as temperature, dew point, and wind speed, presented in either metric or imperial units, as specified in the unit URI parameter. For more information, see Unit types in the article Weather services in Azure Maps. |
|
Weather |
Provides the highest and lowest forecasted temperatures for the specified timeframe, measured in degrees Celsius (°C) or Fahrenheit (°F), based on the unit specified in the request. |
|
Wind |
Provides the forecasted wind speed, measured in units such as kilometers per hour (km/h) or miles per hour (mph), depending on the unit specified in the request. Also indicates the wind direction measured in azimuth degrees, starting at true North and moving clockwise. North corresponds to 0°, east to 90°, south to 180°, and west to 270°. Possible values range from 0° to 359°. |
|
Wind |
Provides details about wind direction, including the direction in azimuth degrees and a localized abbreviation of the wind direction. |
DayQuarter
Divides the day into four 6-hour quarters. Valid values are 0-3:
- 0: Morning (7am - 1pm)
- 1: Afternoon (1pm - 7pm)
- 2: Evening (7pm - 1am)
- 3: Overnight (1am - 7am)
| Value | Description |
|---|---|
| 0 |
7:00 am - 1:00 pm / 07:00 - 13:00 |
| 1 |
1:00 pm - 7:00 pm / 13:00 - 19:00 |
| 2 |
7:00 pm - 1:00 am / 19:00 - 01:00 |
| 3 |
1:00 am - 7:00 am / 01:00 - 07:00 |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
maps.weather.getquarterdayforecast |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
IconCode
The numeric weather-condition code that identifies which icon to display.
Each value in this enumeration corresponds to an Azure Maps weather icon
(such as Sunny, Cloudy, or Thunderstorms) and pairs with a human-readable
iconPhrase returned alongside it. The same code can appear in current,
hourly, daily, quarter-day, and minute-by-minute responses, allowing
applications to render a consistent icon set across all weather services.
For the complete list of codes, the icons they map to, and example imagery, see Weather services in Azure Maps.
| Value | Description |
|---|---|
| 1 |
Sunny |
| 2 |
Mostly Sunny |
| 3 |
Partly Sunny |
| 4 |
Intermittent Clouds |
| 5 |
Hazy Sunshine |
| 6 |
Mostly Cloudy |
| 7 |
Cloudy |
| 8 |
Dreary (Overcast) |
| 11 |
Fog |
| 12 |
Showers |
| 13 |
Mostly Cloudy with Showers |
| 14 |
Partly Sunny with Showers |
| 15 |
Thunderstorms |
| 16 |
Mostly Cloudy with Thunderstorms |
| 17 |
Partly Sunny with Thunderstorms |
| 18 |
Rain |
| 19 |
Flurries |
| 20 |
Mostly Cloudy with Flurries |
| 21 |
Partly Sunny with Flurries |
| 22 |
Snow |
| 23 |
Mostly Cloudy with Snow |
| 24 |
Ice |
| 25 |
Sleet |
| 26 |
Freezing Rain |
| 29 |
Rain and Snow |
| 30 |
Hot |
| 31 |
Cold |
| 32 |
Windy |
| 33 |
Clear |
| 34 |
Mostly Clear |
| 35 |
Partly Cloudy |
| 36 |
Intermittent Clouds |
| 37 |
Hazy Moonlight |
| 38 |
Mostly Cloudy |
| 39 |
Partly Cloudy with Showers |
| 40 |
Mostly Cloudy with Showers |
| 41 |
Partly Cloudy with Thunderstorms |
| 42 |
Mostly Cloudy with Thunderstorms |
| 43 |
Mostly Cloudy with Flurries |
| 44 |
Mostly Cloudy with Snow |
JsonFormat
Desired format of the response. Only json format is supported.
| Value | Description |
|---|---|
| json |
PrecipitationType
Specifies the type of precipitation. Valid values are Rain, Snow, Ice, or Mix. This property is included in the response when dBZ is greater than zero.
| Value | Description |
|---|---|
| Ice |
Ice |
| Mix |
Mix |
| Rain |
Rain |
| Snow |
Snow |
QuarterDayForecast
The forecast for one 6-hour quarter-day period - morning (7am-1pm), afternoon (1pm-7pm), evening (7pm-1am), or overnight (1am-7am) - at the specified location. Includes the quarter's date and identifier, an icon and descriptive phrase, the high/low temperature range and RealFeel, humidity and dew point, wind and gust details, visibility, cloud cover, and precipitation and thunderstorm outlook (probability, type, intensity, and accumulation totals).
| Name | Type | Description |
|---|---|---|
| cloudCover |
integer (int32) |
The percentage of the sky covered by clouds during this quarter-day, from 0 (clear) to 100 (overcast). May be NULL. |
| date |
string (date-time) |
The calendar date this quarter-day belongs to, in RFC
3339 format
( |
| dewPoint |
The dew point during this quarter-day - the temperature to which air must cool to become saturated (100% relative humidity). Measured in degrees Celsius (°C) or Fahrenheit (°F), depending on the unit specified in the request. A higher dew point indicates more moisture in the air. |
|
| effectiveDate |
string (date-time) |
The start of this quarter-day period, in RFC
3339 format
( |
| hasPrecipitation |
boolean |
|
| ice |
The estimated ice accumulation expected during this quarter-day, in millimeters (mm) or inches (in) depending on the unit specified in the request. |
|
| iconCode |
The representative weather icon code for this quarter-day period. The numeric value corresponds to an Azure Maps weather icon - for the complete list, see Weather services in Azure Maps. |
|
| iconPhrase |
string |
A short descriptive term that pairs with |
| phrase |
string |
A brief textual description of the weather conditions for this
quarter-day. More descriptive than |
| precipitationIntensity |
string |
The intensity of the expected precipitation - typically Light,
Moderate, or Heavy. Returned only when |
| precipitationProbability |
integer (int32) |
The probability of precipitation during this quarter-day, from 0 (no chance) to 100 (certain). |
| precipitationType |
The type of precipitation expected during this quarter-day - one of
Rain, Snow, Ice, or Mix. Returned only when |
|
| quarter |
Identifies which 6-hour quarter of the day this forecast covers:
|
|
| rain |
The amount of rainfall expected during this quarter-day, in millimeters (mm) or inches (in) depending on the unit specified in the request. |
|
| realFeelTemperature |
The high and low RealFeel™ Temperature values for this quarter-day, in degrees Celsius (°C) or Fahrenheit (°F), depending on the unit specified in the request. Developed by AccuWeather, RealFeel combines air temperature with humidity, wind, cloud cover, sun intensity, and other factors to indicate how the weather actually feels. For more information, see What is the AccuWeather RealFeel Temperature? |
|
| relativeHumidity |
integer (int32) |
The relative humidity during this quarter-day, expressed as a percentage from 0 to 100 of the maximum amount of water vapor the air can hold at the same temperature. |
| snow |
The amount of snow accumulation expected during this quarter-day, in millimeters (mm) or inches (in) depending on the unit specified in the request. |
|
| temperature |
The expected high and low temperatures during this quarter-day period, in degrees Celsius (°C) or Fahrenheit (°F), depending on the unit specified in the request. |
|
| thunderstormProbability |
integer (int32) |
The probability of a thunderstorm during this quarter-day, from 0 (no chance) to 100 (certain). |
| totalLiquid |
The total amount of liquid precipitation (such as rain, plus the liquid equivalent of snow or ice) expected during this quarter-day, in millimeters (mm) or inches (in) depending on the unit specified in the request. |
|
| visibility |
The distance at which an object or light can be clearly discerned during this quarter-day, in kilometers (km) or miles (mi) depending on the unit specified in the request. |
|
| wind |
The expected wind speed and direction during this quarter-day. Speed is in kilometers per hour (km/h) or miles per hour (mph) depending on the unit specified in the request; direction is in azimuth degrees, measured clockwise from true North (0° = N, 90° = E, 180° = S, 270° = W). |
|
| windGust |
The expected maximum wind-gust speed and direction during this
quarter-day, using the same units and azimuth convention as |
QuarterDayForecastResult
The response returned by the Get Quarter-Day Forecast operation, providing
weather forecasts in 6-hour quarter-day blocks (morning, afternoon,
evening, and overnight) for a specified location. The number of
QuarterDayForecast entries returned matches the requested duration -
for example, a 1-day forecast returns 4 quarters and a 5-day forecast
returns 20.
| Name | Type | Description |
|---|---|---|
| forecasts |
The forecasted quarter-day periods, in chronological order. Each entry is
a |
UnitType
An integer value associated with the type of unit being displayed. For example, 17 for Celsius, 18 for Fahrenheit. Can be used for unit translation. For more information, see Weather services in Azure Maps.
| Value | Description |
|---|---|
| 0 |
feet |
| 1 |
inches |
| 2 |
miles |
| 3 |
millimeter |
| 4 |
centimeter |
| 5 |
meter |
| 6 |
kilometer |
| 7 |
kilometersPerHour |
| 8 |
knots |
| 9 |
milesPerHour |
| 10 |
metersPerSecond |
| 11 |
hectoPascals |
| 12 |
inchesOfMercury |
| 13 |
kiloPascals |
| 14 |
millibars |
| 15 |
millimetersOfMercury |
| 16 |
poundsPerSquareInch |
| 17 |
Celsius |
| 18 |
Fahrenheit |
| 19 |
kelvin |
| 20 |
percent |
| 21 |
float |
| 22 |
integer |
| 31 |
MicrogramsPerCubicMeterOfAir |
WeatherDataUnit
Specifies whether to return data in metric or imperial units, with metric as the default. For example:
- Metric: millimeter (mm), meter (m), kilometer (km), Celsius (C)
- Imperial: inch (in), foot (ft), mile (mi), Fahrenheit (F)
| Value | Description |
|---|---|
| imperial |
Return data using imperial units such as Fahrenheit (F) for temperature and miles (mi) for distance. |
| metric |
Return data using metric units such as Celsius (C) for temperature and kilometer (km) for distance. |
WeatherValue
Values for weather-related metrics such as temperature, dew point, and wind speed, presented in either metric or imperial units, as specified in the unit URI parameter. For more information, see Unit types in the article Weather services in Azure Maps.
| Name | Type | Description |
|---|---|---|
| unit |
string |
The unit of measurement used in the return value, such as "C" for Celsius, "F" for Fahrenheit. |
| unitType |
An integer representing the type of unit. For example, 0 for feet, 1 for inches, 2 for miles. For a complete list, see Unit types in the article Weather services in Azure Maps. |
|
| value |
number (float) |
The measured value expressed in the specified unit. |
WeatherValueRange
Provides the highest and lowest forecasted temperatures for the specified timeframe, measured in degrees Celsius (°C) or Fahrenheit (°F), based on the unit specified in the request.
| Name | Type | Description |
|---|---|---|
| maximum |
Provides the maximum temperature for the specified timeframe, measured in degrees Celsius (°C) or Fahrenheit (°F), based on the unit specified in the request. |
|
| minimum |
Provides the minimum temperature for the specified timeframe, measured in degrees Celsius (°C) or Fahrenheit (°F), based on the unit specified in the request. |
WindDetails
Provides the forecasted wind speed, measured in units such as kilometers per hour (km/h) or miles per hour (mph), depending on the unit specified in the request. Also indicates the wind direction measured in azimuth degrees, starting at true North and moving clockwise. North corresponds to 0°, east to 90°, south to 180°, and west to 270°. Possible values range from 0° to 359°.
| Name | Type | Description |
|---|---|---|
| direction |
Wind direction is measured in azimuth degrees, starting at true North (0°) and moving clockwise. East corresponds to 90°, south to 180°, and west to 270°. Possible values range from 0° to 359°. This property returns an integer representing the wind direction. |
|
| speed |
The expected wind speed, measured in kilometers per hour (km/h) or miles per hour (mph), depending on the unit specified in the request. |
WindDirection
Provides details about wind direction, including the direction in azimuth degrees and a localized abbreviation of the wind direction.
| Name | Type | Description |
|---|---|---|
| degrees |
integer (int32) |
Wind direction is measured in azimuth degrees, starting at true North and moving clockwise. North corresponds to 0 degrees, east to 90 degrees, south to 180 degrees, and west to 270 degrees. Possible values range from 0 to 359 degrees. |
| localizedDescription |
string |
A localized abbreviation of the wind direction, returned in the language
specified in the request. For example, |